from invoke import task


@task
def update_deps(c):
    """Updates depenencies"""
    c.run("pip-compile requirements.in", pty=True)
    c.run("pip-compile dev-requirements.in", pty=True)


@task
def sync_deps(c):
    """Syncs local dependencies"""
    c.run("pip-sync requirements.txt dev-requirements.txt")


@task
def lint(c):
    """Runs all linters against the project."""
    c.run("./scripts/run_linters.sh", pty=True)


@task
def delint(c):
    """Applies automated linters to project"""
    c.run("isort ./speech_collect ./tests ./tasks.py", pty=True)
    c.run("black ./speech_collect ./tests ./tasks.py", pty=True)
